Subject: Re: [GSoC PATCH v3 0/2] json-writer: describe the jw_* functions

From: Junio C Hamano <[email-masked]>
Date: Fri, 16 May 2025 09:42:32 -0700

Karthik Nayak <[email-masked]> writes:

> Lucas Seiki Oshiro <[email-masked]> writes:
>
>> Hello, again!
>>
>> In this v3 I did some minor adjustments based on the review of v2
>> (https://lore.kernel.org/git/[email-masked]/).
>>
>
> This version looks good to me, thanks for the update.

Yup, the result reads very well.  Thanks, all.

> I do have some general suggestions (not requirements):
> - It would be nice if these patch versions were inlined with the
>   previous ones. Makes it easier to compare versions while reviewing.

"git send-email --in-reply-to=..." is a good tool to use.

> - Perhaps include a range-diff to make it easier to review the changes
>   in the new version compared to the last one.

Here, "git format-patch --range-diff=..." can help when preparing the
patches to be sent.

> I can totally recommend b4 (https://b4.docs.kernel.org/en/latest/), it
> helps manage both of the points I mentioned :)

... and more, by helping on the receiving end, too ;-).